/***************************************************************
 *文件名：lib_gpio_func_es8h0173fllk.h
 *作 者： AE Team
 *版 本： V1.00
 *日 期： 2023/12/13
 *描 述： ES8H0173FLLK GPIO数字外设管脚复用功能定义头文件
 *备 注：
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************/
#ifndef __LIB_GPIO_FUNC_ES8H0173FLLK_H__
#define __LIB_GPIO_FUNC_ES8H0173FLLK_H__

/* PA16 */
typedef enum
{
	FUNC_PA16 = 0x00,
	FUNC_PA16_RXD5 = 0x01,
	FUNC_PA16_RXD2 = 0x02,
	FUNC_PA16_TXD1 = 0x03,
	FUNC_PA16_CLKO0 = 0x04,
	FUNC_PA16_T16N4_1 = 0x05,
	FUNC_PA16_T32N0_0 = 0x06,
	FUNC_PA16_SCL0 = 0x07,
} FUNC_TYPE_PA16;

/* PA13 */
typedef enum
{
	FUNC_PA13 = 0x00,
	FUNC_PA13_T32N0_1 = 0x01,
	FUNC_PA13_TXD3 = 0x02,
	FUNC_PA13_MOSI0 = 0x03,
	FUNC_PA13_TXD5 = 0x04,
	FUNC_PA13_BUZ = 0x05,
	FUNC_PA13_T16N4_0 = 0x06,
	FUNC_PA13_SCL0 = 0x07,
} FUNC_TYPE_PA13;

/* PA18 */
typedef enum
{
	FUNC_PA18 = 0x00,
	FUNC_PA18_RXD1 = 0x01,
	FUNC_PA18_SDA0 = 0x02,
	FUNC_PA18_T16N1_1 = 0x03,
	FUNC_PA18_SCL0 = 0x04,
	FUNC_PA18_T16N5_1 = 0x05,
	FUNC_PA18_TXD0 = 0x06,
	FUNC_PA18_T32N0_1 = 0x07,
} FUNC_TYPE_PA18;

/* PA21 */
typedef enum
{
	FUNC_PA21 = 0x00,
	FUNC_PA21_T32N0_0 = 0x01,
	FUNC_PA21_TXD4 = 0x02,
	FUNC_PA21_T16N3_0 = 0x03,
	FUNC_PA21_T16N0_0 = 0x04,
	FUNC_PA21_BUZ = 0x05,
	FUNC_PA21_RXD5 = 0x06,
	FUNC_PA21_RXD0 = 0x07,
} FUNC_TYPE_PA21;

/* PA22 */
typedef enum
{
	FUNC_PA22 = 0x00,
	FUNC_PA22_T32N0_1 = 0x01,
	FUNC_PA22_TXD0 = 0x02,
	FUNC_PA22_T16N3_1 = 0x03,
	FUNC_PA22_T16N1_1 = 0x04,
	FUNC_PA22_TXD3 = 0x05,
	FUNC_PA22_TXD5 = 0x06,
	FUNC_PA22_MOSI0 = 0x07,
} FUNC_TYPE_PA22;

/* PA24 */
typedef enum
{
	FUNC_PA24 = 0x00,
	FUNC_PA24_T16N1_0 = 0x01,
	FUNC_PA24_TXD1 = 0x02,
	FUNC_PA24_MOSI0 = 0x03,
	FUNC_PA24_TXD0 = 0x04,
	FUNC_PA24_T16N0_0 = 0x05,
	FUNC_PA24_RXD2 = 0x06,
	FUNC_PA24_MISO0 = 0x07,
} FUNC_TYPE_PA24;

/* PA25 */
typedef enum
{
	FUNC_PA25 = 0x00,
	FUNC_PA25_T16N1_1 = 0x01,
	FUNC_PA25_RXD1 = 0x02,
	FUNC_PA25_MISO0 = 0x03,
	FUNC_PA25_TXD3 = 0x04,
	FUNC_PA25_T16N3_1 = 0x05,
	FUNC_PA25_T16N2_0 = 0x06,
	FUNC_PA25_SCK0 = 0x07,
} FUNC_TYPE_PA25;

/* PA26 */
typedef enum
{
	FUNC_PA26 = 0x00,
	FUNC_PA26_T16N2_1 = 0x01,
	FUNC_PA26_T16N3_0 = 0x02,
	FUNC_PA26_SCK0 = 0x03,
	FUNC_PA26_TXD1 = 0x04,
	FUNC_PA26_TXD3 = 0x05,
	FUNC_PA26_BUZ = 0x06,
	FUNC_PA26_RXD0 = 0x07,
} FUNC_TYPE_PA26;

/* PA29 */
typedef enum
{
	FUNC_PA29 = 0x00,
	FUNC_PA29_NSS0 = 0x01,
	FUNC_PA29_TXD3 = 0x02,
	FUNC_PA29_T16N2_1 = 0x03,
	FUNC_PA29_RXD2 = 0x04,
	FUNC_PA29_MOSI0 = 0x05,
	FUNC_PA29_T32N0_1 = 0x06,
	FUNC_PA29_SCL0 = 0x07,
} FUNC_TYPE_PA29;

/* PB5 */
typedef enum
{
	FUNC_PB5 = 0x00,
	FUNC_PB5_T16N0_1 = 0x01,
	FUNC_PB5_SCK0 = 0x02,
	FUNC_PB5_SDA0 = 0x03,
	FUNC_PB5_T16N5_0 = 0x04,
	FUNC_PB5_TXD2 = 0x05,
	FUNC_PB5_T32N0_1 = 0x06,
	FUNC_PB5_TXD1 = 0x07,
} FUNC_TYPE_PB5;

/* PB6 */
typedef enum
{
	FUNC_PB6 = 0x00,
	FUNC_PB6_T16N1_0 = 0x01,
	FUNC_PB6_MISO0 = 0x02,
	FUNC_PB6_RXD2 = 0x03,
	FUNC_PB6_T32N0_1 = 0x04,
	FUNC_PB6_TXD4 = 0x05,
	FUNC_PB6_BUZ = 0x06,
	FUNC_PB6_SCL0 = 0x07,
} FUNC_TYPE_PB6;

/* PB7 */
typedef enum
{
	FUNC_PB7 = 0x00,
	FUNC_PB7_T16N1_1 = 0x01,
	FUNC_PB7_MOSI0 = 0x02,
	FUNC_PB7_TXD2 = 0x03,
	FUNC_PB7_T32N0_0 = 0x04,
	FUNC_PB7_TXD3 = 0x05,
	FUNC_PB7_T16N3_1 = 0x06,
	FUNC_PB7_SDA0 = 0x07,
} FUNC_TYPE_PB7;

/* PA2 */
typedef enum
{
	FUNC_PA2 = 0x00,
	FUNC_PA2_RXD5 = 0x01,
	FUNC_PA2_T32N0_0 = 0x02,
	FUNC_PA2_RXD3 = 0x03,
	FUNC_PA2_TXD0 = 0x04,
	FUNC_PA2_T16N0_1 = 0x05,
	FUNC_PA2_CLKO0 = 0x06,
	FUNC_PA2_RXD1 = 0x07,
} FUNC_TYPE_PA2;

/* PA3 */
typedef enum
{
	FUNC_PA3 = 0x00,
	FUNC_PA3_TXD5 = 0x01,
	FUNC_PA3_T32N0_1 = 0x02,
	FUNC_PA3_TXD3 = 0x03,
	FUNC_PA3_RXD2 = 0x04,
	FUNC_PA3_T16N2_0 = 0x05,
	FUNC_PA3_TXD0 = 0x06,
	FUNC_PA3_SCK0 = 0x07,
} FUNC_TYPE_PA3;

/* PA7 */
typedef enum
{
	FUNC_PA7 = 0x00,
	FUNC_PA7_T16N2_0 = 0x01,
	FUNC_PA7_T16N0_1 = 0x02,
	FUNC_PA7_TXD1 = 0x03,
	FUNC_PA7_T16N1_1 = 0x04,
	FUNC_PA7_RXD4 = 0x05,
	FUNC_PA7_RXD3 = 0x06,
	FUNC_PA7_NSS0 = 0x07,
} FUNC_TYPE_PA7;

/* PA8 */
typedef enum
{
	FUNC_PA8 = 0x00,
	FUNC_PA8_RXD0 = 0x01,
	FUNC_PA8_T16N1_0 = 0x02,
	FUNC_PA8_BUZ = 0x03,
	FUNC_PA8_MISO0 = 0x04,
	FUNC_PA8_T32N0_1 = 0x05,
	FUNC_PA8_TXD3 = 0x06,
	FUNC_PA8_T16N2_0 = 0x07,
} FUNC_TYPE_PA8;

/* PA9 */
typedef enum
{
	FUNC_PA9 = 0x00,
	FUNC_PA9_TXD0 = 0x01,
	FUNC_PA9_T16N1_1 = 0x02,
	FUNC_PA9_CLKO0 = 0x03,
	FUNC_PA9_TXD2 = 0x04,
	FUNC_PA9_T16N5_0 = 0x05,
	FUNC_PA9_MISO0 = 0x06,
	FUNC_PA9_T16N2_1 = 0x07,
} FUNC_TYPE_PA9;

/* PA10 */
typedef enum
{
	FUNC_PA10 = 0x00,
	FUNC_PA10_T16N2_0 = 0x01,
	FUNC_PA10_RXD4 = 0x02,
	FUNC_PA10_NSS0 = 0x03,
	FUNC_PA10_RXD2 = 0x04,
	FUNC_PA10_T16N4_0 = 0x05,
	FUNC_PA10_SCK0 = 0x06,
	FUNC_PA10_TXD4 = 0x07,
} FUNC_TYPE_PA10;

/* PB14 */
typedef enum
{
	FUNC_PB14 = 0x00,
	FUNC_PB14_T16N2_1 = 0x01,
	FUNC_PB14_RXD3 = 0x02,
	FUNC_PB14_TXD4 = 0x03,
	FUNC_PB14_T16N3_0 = 0x04,
	FUNC_PB14_RXD1 = 0x05,
	FUNC_PB14_NSS0 = 0x06,
	FUNC_PB14_RXD4 = 0x07,
} FUNC_TYPE_PB14;

/* PB15 */
typedef enum
{
	FUNC_PB15 = 0x00,
	FUNC_PB15_MOSI0 = 0x01,
	FUNC_PB15_TXD3 = 0x02,
	FUNC_PB15_CLKO0 = 0x03,
	FUNC_PB15_T16N3_1 = 0x04,
	FUNC_PB15_TXD1 = 0x05,
	FUNC_PB15_T16N1_0 = 0x06,
	FUNC_PB15_SDA0 = 0x07,
} FUNC_TYPE_PB15;

/* PA12 */
typedef enum
{
	FUNC_PA12 = 0x00,
	FUNC_PA12_T32N0_0 = 0x01,
	FUNC_PA12_BUZ = 0x02,
	FUNC_PA12_MISO0 = 0x03,
	FUNC_PA12_T16N1_1 = 0x04,
	FUNC_PA12_TXD3 = 0x05,
	FUNC_PA12_RXD0 = 0x06,
	FUNC_PA12_T16N0_0 = 0x07,
} FUNC_TYPE_PA12;

/* PB16 */
typedef enum
{
	FUNC_PB16 = 0x00,
	FUNC_PB16_T32N0_1 = 0x01,
	FUNC_PB16_TXD5 = 0x02,
	FUNC_PB16_NSS0 = 0x03,
	FUNC_PB16_RXD0 = 0x04,
	FUNC_PB16_T16N0_0 = 0x05,
	FUNC_PB16_T16N3_0 = 0x06,
	FUNC_PB16_SDA0 = 0x07,
} FUNC_TYPE_PB16;

/* PB17 */
typedef enum
{
	FUNC_PB17 = 0x00,
	FUNC_PB17_T32N0_0 = 0x01,
	FUNC_PB17_RXD5 = 0x02,
	FUNC_PB17_SCK0 = 0x03,
	FUNC_PB17_TXD0 = 0x04,
	FUNC_PB17_T16N4_1 = 0x05,
	FUNC_PB17_T16N3_1 = 0x06,
	FUNC_PB17_SCL0 = 0x07,
} FUNC_TYPE_PB17;

/* PB19 */
typedef enum
{
	FUNC_PB19 = 0x00,
	FUNC_PB19_SCL0 = 0x01,
	FUNC_PB19_T16N0_0 = 0x02,
	FUNC_PB19_MOSI0 = 0x03,
	FUNC_PB19_BUZ = 0x04,
	FUNC_PB19_TXD0 = 0x05,
	FUNC_PB19_T16N5_0 = 0x06,
	FUNC_PB19_RXD4 = 0x07,
} FUNC_TYPE_PB19;

/* PB20 */
typedef enum
{
	FUNC_PB20 = 0x00,
	FUNC_PB20_RXD0 = 0x01,
	FUNC_PB20_T16N0_1 = 0x02,
	FUNC_PB20_RXD1 = 0x03,
	FUNC_PB20_RXD4 = 0x04,
	FUNC_PB20_T16N5_0 = 0x05,
	FUNC_PB20_CLKO0 = 0x06,
	FUNC_PB20_SDA0 = 0x07,
} FUNC_TYPE_PB20;

/* PB22 */
typedef enum
{
	FUNC_PB22 = 0x00,
	FUNC_PB22_RXD1 = 0x01,
	FUNC_PB22_MISO0 = 0x02,
	FUNC_PB22_NSS0 = 0x03,
	FUNC_PB22_RXD5 = 0x04,
	FUNC_PB22_T16N4_0 = 0x05,
	FUNC_PB22_T16N0_0 = 0x06,
	FUNC_PB22_TXD5 = 0x07,
} FUNC_TYPE_PB22;

/* PB25 */
typedef enum
{
	FUNC_PB25 = 0x00,
	FUNC_PB25_T16N1_0 = 0x01,
	FUNC_PB25_T16N5_1 = 0x02,
	FUNC_PB25_MOSI0 = 0x03,
	FUNC_PB25_TXD5 = 0x04,
	FUNC_PB25_SCK0 = 0x05,
	FUNC_PB25_T16N0_1 = 0x06,
	FUNC_PB25_RXD1 = 0x07,
} FUNC_TYPE_PB25;

/* PA14 */
typedef enum
{
	FUNC_PA14 = 0x00,
	FUNC_PA14_T16N1_1 = 0x01,
	FUNC_PA14_RXD3 = 0x02,
	FUNC_PA14_T16N2_0 = 0x03,
	FUNC_PA14_RXD5 = 0x04,
	FUNC_PA14_TXD2 = 0x05,
	FUNC_PA14_T16N0_0 = 0x06,
	FUNC_PA14_SDA0 = 0x07,
} FUNC_TYPE_PA14;

/* PA15 */
typedef enum
{
	FUNC_PA15 = 0x00,
	FUNC_PA15_TXD5 = 0x01,
	FUNC_PA15_TXD2 = 0x02,
	FUNC_PA15_T16N2_1 = 0x03,
	FUNC_PA15_SDA0 = 0x04,
	FUNC_PA15_T16N1_0 = 0x05,
	FUNC_PA15_T16N0_1 = 0x06,
	FUNC_PA15_RXD2 = 0x07,
} FUNC_TYPE_PA15;

#endif
