/***************************************************************
 *文件名：lib_gpio_func_es8h0173fllq.h
 *作 者： AE Team
 *版 本： V1.00
 *日 期： 2023/12/13
 *描 述： ES8H0173FLLQ GPIO数字外设管脚复用功能定义头文件
 *备 注：
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************/
#ifndef __LIB_GPIO_FUNC_ES8H0173FLLQ_H__
#define __LIB_GPIO_FUNC_ES8H0173FLLQ_H__

/* PB20 */
typedef enum
{
	FUNC_PB20 = 0x00,
	FUNC_PB20_RXD0 = 0x01,
	FUNC_PB20_T16N0_1 = 0x02,
	FUNC_PB20_RXD1 = 0x03,
	FUNC_PB20_RXD4 = 0x04,
	FUNC_PB20_T16N5_0 = 0x05,
	FUNC_PB20_CLKO0 = 0x06,
	FUNC_PB20_SDA0 = 0x07,
} FUNC_TYPE_PB20;

/* PB21 */
typedef enum
{
	FUNC_PB21 = 0x00,
	FUNC_PB21_RXD2 = 0x01,
	FUNC_PB21_T16N0_0 = 0x02,
	FUNC_PB21_TXD1 = 0x03,
	FUNC_PB21_RXD3 = 0x04,
	FUNC_PB21_T16N4_1 = 0x05,
	FUNC_PB21_CLKO1 = 0x06,
	FUNC_PB21_T16N1_1 = 0x07,
} FUNC_TYPE_PB21;

/* PB22 */
typedef enum
{
	FUNC_PB22 = 0x00,
	FUNC_PB22_RXD1 = 0x01,
	FUNC_PB22_MISO0 = 0x02,
	FUNC_PB22_NSS0 = 0x03,
	FUNC_PB22_RXD5 = 0x04,
	FUNC_PB22_T16N4_0 = 0x05,
	FUNC_PB22_T16N0_0 = 0x06,
	FUNC_PB22_TXD5 = 0x07,
} FUNC_TYPE_PB22;

/* PB23 */
typedef enum
{
	FUNC_PB23 = 0x00,
	FUNC_PB23_T16N1_1 = 0x01,
	FUNC_PB23_RXD5 = 0x02,
	FUNC_PB23_SCK0 = 0x03,
	FUNC_PB23_TXD5 = 0x04,
	FUNC_PB23_T16N5_0 = 0x05,
	FUNC_PB23_T16N4_0 = 0x06,
	FUNC_PB23_TXD2 = 0x07,
} FUNC_TYPE_PB23;

/* PB24 */
typedef enum
{
	FUNC_PB24 = 0x00,
	FUNC_PB24_BUZ = 0x01,
	FUNC_PB24_T16N5_0 = 0x02,
	FUNC_PB24_MISO0 = 0x03,
	FUNC_PB24_RXD1 = 0x04,
	FUNC_PB24_T16N3_0 = 0x05,
	FUNC_PB24_T32N0_0 = 0x06,
	FUNC_PB24_TXD5 = 0x07,
} FUNC_TYPE_PB24;

/* PB26 */
typedef enum
{
	FUNC_PB26 = 0x00,
	FUNC_PB26_T16N1_1 = 0x01,
	FUNC_PB26_MISO0 = 0x02,
	FUNC_PB26_RXD5 = 0x03,
	FUNC_PB26_T32N0_1 = 0x04,
	FUNC_PB26_RXD1 = 0x05,
	FUNC_PB26_T16N4_1 = 0x06,
	FUNC_PB26_SDA0 = 0x07,
} FUNC_TYPE_PB26;

/* PB27 */
typedef enum
{
	FUNC_PB27 = 0x00,
	FUNC_PB27_T16N2_1 = 0x01,
	FUNC_PB27_MOSI0 = 0x02,
	FUNC_PB27_TXD5 = 0x03,
	FUNC_PB27_T32N0_0 = 0x04,
	FUNC_PB27_RXD3 = 0x05,
	FUNC_PB27_T16N1_1 = 0x06,
	FUNC_PB27_SCL0 = 0x07,
} FUNC_TYPE_PB27;

/* PA13 */
typedef enum
{
	FUNC_PA13 = 0x00,
	FUNC_PA13_T32N0_1 = 0x01,
	FUNC_PA13_TXD3 = 0x02,
	FUNC_PA13_MOSI0 = 0x03,
	FUNC_PA13_TXD5 = 0x04,
	FUNC_PA13_BUZ = 0x05,
	FUNC_PA13_T16N4_0 = 0x06,
	FUNC_PA13_SCL0 = 0x07,
} FUNC_TYPE_PA13;

/* PA15 */
typedef enum
{
	FUNC_PA15 = 0x00,
	FUNC_PA15_TXD5 = 0x01,
	FUNC_PA15_TXD2 = 0x02,
	FUNC_PA15_T16N2_1 = 0x03,
	FUNC_PA15_SDA0 = 0x04,
	FUNC_PA15_T16N1_0 = 0x05,
	FUNC_PA15_T16N0_1 = 0x06,
	FUNC_PA15_RXD2 = 0x07,
} FUNC_TYPE_PA15;

/* PA16 */
typedef enum
{
	FUNC_PA16 = 0x00,
	FUNC_PA16_RXD5 = 0x01,
	FUNC_PA16_RXD2 = 0x02,
	FUNC_PA16_TXD1 = 0x03,
	FUNC_PA16_CLKO0 = 0x04,
	FUNC_PA16_T16N4_1 = 0x05,
	FUNC_PA16_T32N0_0 = 0x06,
	FUNC_PA16_SCL0 = 0x07,
} FUNC_TYPE_PA16;

/* PA17 */
typedef enum
{
	FUNC_PA17 = 0x00,
	FUNC_PA17_TXD1 = 0x01,
	FUNC_PA17_T16N0_0 = 0x02,
	FUNC_PA17_T16N1_0 = 0x03,
	FUNC_PA17_SCL0 = 0x04,
	FUNC_PA17_T32N0_0 = 0x05,
	FUNC_PA17_RXD1 = 0x06,
	FUNC_PA17_RXD0 = 0x07,
} FUNC_TYPE_PA17;

/* PA18 */
typedef enum
{
	FUNC_PA18 = 0x00,
	FUNC_PA18_RXD1 = 0x01,
	FUNC_PA18_SDA0 = 0x02,
	FUNC_PA18_T16N1_1 = 0x03,
	FUNC_PA18_SCL0 = 0x04,
	FUNC_PA18_T16N5_1 = 0x05,
	FUNC_PA18_TXD0 = 0x06,
	FUNC_PA18_T32N0_1 = 0x07,
} FUNC_TYPE_PA18;

/* PA20 */
typedef enum
{
	FUNC_PA20 = 0x00,
	FUNC_PA20_T16N0_1 = 0x01,
	FUNC_PA20_CLKO1 = 0x02,
	FUNC_PA20_RXD0 = 0x03,
	FUNC_PA20_TXD3 = 0x04,
	FUNC_PA20_T16N4_1 = 0x05,
	FUNC_PA20_SCK0 = 0x06,
	FUNC_PA20_BUZ = 0x07,
} FUNC_TYPE_PA20;

/* PA21 */
typedef enum
{
	FUNC_PA21 = 0x00,
	FUNC_PA21_T32N0_0 = 0x01,
	FUNC_PA21_TXD4 = 0x02,
	FUNC_PA21_T16N3_0 = 0x03,
	FUNC_PA21_T16N0_0 = 0x04,
	FUNC_PA21_BUZ = 0x05,
	FUNC_PA21_RXD5 = 0x06,
	FUNC_PA21_RXD0 = 0x07,
} FUNC_TYPE_PA21;

/* PA22 */
typedef enum
{
	FUNC_PA22 = 0x00,
	FUNC_PA22_T32N0_1 = 0x01,
	FUNC_PA22_TXD0 = 0x02,
	FUNC_PA22_T16N3_1 = 0x03,
	FUNC_PA22_T16N1_1 = 0x04,
	FUNC_PA22_TXD3 = 0x05,
	FUNC_PA22_TXD5 = 0x06,
	FUNC_PA22_MOSI0 = 0x07,
} FUNC_TYPE_PA22;

/* PA23 */
typedef enum
{
	FUNC_PA23 = 0x00,
	FUNC_PA23_BUZ = 0x01,
	FUNC_PA23_RXD0 = 0x02,
	FUNC_PA23_T16N1_0 = 0x03,
	FUNC_PA23_TXD0 = 0x04,
	FUNC_PA23_RXD3 = 0x05,
	FUNC_PA23_T16N1_1 = 0x06,
	FUNC_PA23_SCL0 = 0x07,
} FUNC_TYPE_PA23;

/* PA25 */
typedef enum
{
	FUNC_PA25 = 0x00,
	FUNC_PA25_T16N1_1 = 0x01,
	FUNC_PA25_RXD1 = 0x02,
	FUNC_PA25_MISO0 = 0x03,
	FUNC_PA25_TXD3 = 0x04,
	FUNC_PA25_T16N3_1 = 0x05,
	FUNC_PA25_T16N2_0 = 0x06,
	FUNC_PA25_SCK0 = 0x07,
} FUNC_TYPE_PA25;

/* PA26 */
typedef enum
{
	FUNC_PA26 = 0x00,
	FUNC_PA26_T16N2_1 = 0x01,
	FUNC_PA26_T16N3_0 = 0x02,
	FUNC_PA26_SCK0 = 0x03,
	FUNC_PA26_TXD1 = 0x04,
	FUNC_PA26_TXD3 = 0x05,
	FUNC_PA26_BUZ = 0x06,
	FUNC_PA26_RXD0 = 0x07,
} FUNC_TYPE_PA26;

/* PA28 */
typedef enum
{
	FUNC_PA28 = 0x00,
	FUNC_PA28_RXD2 = 0x01,
	FUNC_PA28_TXD2 = 0x02,
	FUNC_PA28_T16N2_0 = 0x03,
	FUNC_PA28_T32N0_0 = 0x04,
	FUNC_PA28_T16N1_1 = 0x05,
	FUNC_PA28_RXD3 = 0x06,
	FUNC_PA28_SDA0 = 0x07,
} FUNC_TYPE_PA28;

/* PA30 */
typedef enum
{
	FUNC_PA30 = 0x00,
	FUNC_PA30_T16N0_0 = 0x01,
	FUNC_PA30_RXD3 = 0x02,
	FUNC_PA30_SDA0 = 0x03,
	FUNC_PA30_T16N2_0 = 0x04,
	FUNC_PA30_TXD5 = 0x05,
	FUNC_PA30_T32N0_0 = 0x06,
	FUNC_PA30_TXD4 = 0x07,
} FUNC_TYPE_PA30;

/* PB5 */
typedef enum
{
	FUNC_PB5 = 0x00,
	FUNC_PB5_T16N0_1 = 0x01,
	FUNC_PB5_SCK0 = 0x02,
	FUNC_PB5_SDA0 = 0x03,
	FUNC_PB5_T16N5_0 = 0x04,
	FUNC_PB5_TXD2 = 0x05,
	FUNC_PB5_T32N0_1 = 0x06,
	FUNC_PB5_TXD1 = 0x07,
} FUNC_TYPE_PB5;

/* PB6 */
typedef enum
{
	FUNC_PB6 = 0x00,
	FUNC_PB6_T16N1_0 = 0x01,
	FUNC_PB6_MISO0 = 0x02,
	FUNC_PB6_RXD2 = 0x03,
	FUNC_PB6_T32N0_1 = 0x04,
	FUNC_PB6_TXD4 = 0x05,
	FUNC_PB6_BUZ = 0x06,
	FUNC_PB6_SCL0 = 0x07,
} FUNC_TYPE_PB6;

/* PB7 */
typedef enum
{
	FUNC_PB7 = 0x00,
	FUNC_PB7_T16N1_1 = 0x01,
	FUNC_PB7_MOSI0 = 0x02,
	FUNC_PB7_TXD2 = 0x03,
	FUNC_PB7_T32N0_0 = 0x04,
	FUNC_PB7_TXD3 = 0x05,
	FUNC_PB7_T16N3_1 = 0x06,
	FUNC_PB7_SDA0 = 0x07,
} FUNC_TYPE_PB7;

/* PB8 */
typedef enum
{
	FUNC_PB8 = 0x00,
	FUNC_PB8_BUZ = 0x01,
	FUNC_PB8_RXD3 = 0x02,
	FUNC_PB8_T16N2_0 = 0x03,
	FUNC_PB8_TXD4 = 0x04,
	FUNC_PB8_RXD2 = 0x05,
	FUNC_PB8_T16N3_0 = 0x06,
	FUNC_PB8_T16N0_0 = 0x07,
} FUNC_TYPE_PB8;

/* PB9 */
typedef enum
{
	FUNC_PB9 = 0x00,
	FUNC_PB9_BUZ = 0x01,
	FUNC_PB9_TXD3 = 0x02,
	FUNC_PB9_T16N2_1 = 0x03,
	FUNC_PB9_MOSI0 = 0x04,
	FUNC_PB9_T32N0_1 = 0x05,
	FUNC_PB9_T16N4_0 = 0x06,
	FUNC_PB9_RXD4 = 0x07,
} FUNC_TYPE_PB9;

/* PB11 */
typedef enum
{
	FUNC_PB11 = 0x00,
	FUNC_PB11_TXD4 = 0x01,
	FUNC_PB11_SCK0 = 0x02,
	FUNC_PB11_T16N5_1 = 0x03,
	FUNC_PB11_RXD1 = 0x04,
	FUNC_PB11_T16N4_1 = 0x05,
	FUNC_PB11_SDA0 = 0x06,
	FUNC_PB11_RXD5 = 0x07,
} FUNC_TYPE_PB11;

/* PB12 */
typedef enum
{
	FUNC_PB12 = 0x00,
	FUNC_PB12_RXD5 = 0x01,
	FUNC_PB12_MISO0 = 0x02,
	FUNC_PB12_T32N0_1 = 0x03,
	FUNC_PB12_T16N0_0 = 0x04,
	FUNC_PB12_T16N1_1 = 0x05,
	FUNC_PB12_TXD4 = 0x06,
	FUNC_PB12_TXD5 = 0x07,
} FUNC_TYPE_PB12;

/* PB13 */
typedef enum
{
	FUNC_PB13 = 0x00,
	FUNC_PB13_TXD5 = 0x01,
	FUNC_PB13_MOSI0 = 0x02,
	FUNC_PB13_SCL0 = 0x03,
	FUNC_PB13_T16N2_1 = 0x04,
	FUNC_PB13_T32N0_0 = 0x05,
	FUNC_PB13_RXD5 = 0x06,
	FUNC_PB13_TXD3 = 0x07,
} FUNC_TYPE_PB13;

/* PA3 */
typedef enum
{
	FUNC_PA3 = 0x00,
	FUNC_PA3_TXD5 = 0x01,
	FUNC_PA3_T32N0_1 = 0x02,
	FUNC_PA3_TXD3 = 0x03,
	FUNC_PA3_RXD2 = 0x04,
	FUNC_PA3_T16N2_0 = 0x05,
	FUNC_PA3_TXD0 = 0x06,
	FUNC_PA3_SCK0 = 0x07,
} FUNC_TYPE_PA3;

/* PA4 */
typedef enum
{
	FUNC_PA4 = 0x00,
	FUNC_PA4_SCL0 = 0x01,
	FUNC_PA4_RXD2 = 0x02,
	FUNC_PA4_TXD5 = 0x03,
	FUNC_PA4_RXD3 = 0x04,
	FUNC_PA4_T16N2_0 = 0x05,
	FUNC_PA4_RXD0 = 0x06,
	FUNC_PA4_T32N0_0 = 0x07,
} FUNC_TYPE_PA4;

/* PA5 */
typedef enum
{
	FUNC_PA5 = 0x00,
	FUNC_PA5_SDA0 = 0x01,
	FUNC_PA5_TXD2 = 0x02,
	FUNC_PA5_MISO0 = 0x03,
	FUNC_PA5_TXD0 = 0x04,
	FUNC_PA5_T16N5_1 = 0x05,
	FUNC_PA5_T32N0_1 = 0x06,
	FUNC_PA5_RXD5 = 0x07,
} FUNC_TYPE_PA5;

/* PA6 */
typedef enum
{
	FUNC_PA6 = 0x00,
	FUNC_PA6_SDA0 = 0x01,
	FUNC_PA6_T16N0_0 = 0x02,
	FUNC_PA6_RXD1 = 0x03,
	FUNC_PA6_T16N5_0 = 0x04,
	FUNC_PA6_TXD1 = 0x05,
	FUNC_PA6_TXD3 = 0x06,
	FUNC_PA6_T16N1_1 = 0x07,
} FUNC_TYPE_PA6;

/* PA7 */
typedef enum
{
	FUNC_PA7 = 0x00,
	FUNC_PA7_T16N2_0 = 0x01,
	FUNC_PA7_T16N0_1 = 0x02,
	FUNC_PA7_TXD1 = 0x03,
	FUNC_PA7_T16N1_1 = 0x04,
	FUNC_PA7_RXD4 = 0x05,
	FUNC_PA7_RXD3 = 0x06,
	FUNC_PA7_NSS0 = 0x07,
} FUNC_TYPE_PA7;

/* PA9 */
typedef enum
{
	FUNC_PA9 = 0x00,
	FUNC_PA9_TXD0 = 0x01,
	FUNC_PA9_T16N1_1 = 0x02,
	FUNC_PA9_CLKO0 = 0x03,
	FUNC_PA9_TXD2 = 0x04,
	FUNC_PA9_T16N5_0 = 0x05,
	FUNC_PA9_MISO0 = 0x06,
	FUNC_PA9_T16N2_1 = 0x07,
} FUNC_TYPE_PA9;

/* PA8 */
typedef enum
{
	FUNC_PA8 = 0x00,
	FUNC_PA8_RXD0 = 0x01,
	FUNC_PA8_T16N1_0 = 0x02,
	FUNC_PA8_BUZ = 0x03,
	FUNC_PA8_MISO0 = 0x04,
	FUNC_PA8_T32N0_1 = 0x05,
	FUNC_PA8_TXD3 = 0x06,
	FUNC_PA8_T16N2_0 = 0x07,
} FUNC_TYPE_PA8;

/* PA10 */
typedef enum
{
	FUNC_PA10 = 0x00,
	FUNC_PA10_T16N2_0 = 0x01,
	FUNC_PA10_RXD4 = 0x02,
	FUNC_PA10_NSS0 = 0x03,
	FUNC_PA10_RXD2 = 0x04,
	FUNC_PA10_T16N4_0 = 0x05,
	FUNC_PA10_SCK0 = 0x06,
	FUNC_PA10_TXD4 = 0x07,
} FUNC_TYPE_PA10;

/* PB14 */
typedef enum
{
	FUNC_PB14 = 0x00,
	FUNC_PB14_T16N2_1 = 0x01,
	FUNC_PB14_RXD3 = 0x02,
	FUNC_PB14_TXD4 = 0x03,
	FUNC_PB14_T16N3_0 = 0x04,
	FUNC_PB14_RXD1 = 0x05,
	FUNC_PB14_NSS0 = 0x06,
	FUNC_PB14_RXD4 = 0x07,
} FUNC_TYPE_PB14;

/* PB15 */
typedef enum
{
	FUNC_PB15 = 0x00,
	FUNC_PB15_MOSI0 = 0x01,
	FUNC_PB15_TXD3 = 0x02,
	FUNC_PB15_CLKO0 = 0x03,
	FUNC_PB15_T16N3_1 = 0x04,
	FUNC_PB15_TXD1 = 0x05,
	FUNC_PB15_T16N1_0 = 0x06,
	FUNC_PB15_SDA0 = 0x07,
} FUNC_TYPE_PB15;

/* PB16 */
typedef enum
{
	FUNC_PB16 = 0x00,
	FUNC_PB16_T32N0_1 = 0x01,
	FUNC_PB16_TXD5 = 0x02,
	FUNC_PB16_NSS0 = 0x03,
	FUNC_PB16_RXD0 = 0x04,
	FUNC_PB16_T16N0_0 = 0x05,
	FUNC_PB16_T16N3_0 = 0x06,
	FUNC_PB16_SDA0 = 0x07,
} FUNC_TYPE_PB16;

/* PB17 */
typedef enum
{
	FUNC_PB17 = 0x00,
	FUNC_PB17_T32N0_0 = 0x01,
	FUNC_PB17_RXD5 = 0x02,
	FUNC_PB17_SCK0 = 0x03,
	FUNC_PB17_TXD0 = 0x04,
	FUNC_PB17_T16N4_1 = 0x05,
	FUNC_PB17_T16N3_1 = 0x06,
	FUNC_PB17_SCL0 = 0x07,
} FUNC_TYPE_PB17;

/* PB18 */
typedef enum
{
	FUNC_PB18 = 0x00,
	FUNC_PB18_SDA0 = 0x01,
	FUNC_PB18_T16N0_1 = 0x02,
	FUNC_PB18_MISO0 = 0x03,
	FUNC_PB18_BUZ = 0x04,
	FUNC_PB18_RXD4 = 0x05,
	FUNC_PB18_T32N0_0 = 0x06,
	FUNC_PB18_TXD4 = 0x07,
} FUNC_TYPE_PB18;

/* PB19 */
typedef enum
{
	FUNC_PB19 = 0x00,
	FUNC_PB19_SCL0 = 0x01,
	FUNC_PB19_T16N0_0 = 0x02,
	FUNC_PB19_MOSI0 = 0x03,
	FUNC_PB19_BUZ = 0x04,
	FUNC_PB19_TXD0 = 0x05,
	FUNC_PB19_T16N5_0 = 0x06,
	FUNC_PB19_RXD4 = 0x07,
} FUNC_TYPE_PB19;

#endif
