/***************************************************************
 *文件名：  lib_printf.h
 *作  者：  AE Team
 *版  本：  V1.00
 *日  期：  2021/11/3
 *描  述：  串口打印库函数头文件
 *备  注：
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ***************************************************************/
#ifndef __LIBPRINTF_H__
#define __LIBPRINTF_H__

#include <stdio.h>
#include "type.h"
#include "lib_uart.h"

#define  __PRINTF_USE_UART3__
int fputc(int ch, FILE *f);
static char *itoa(int value, char *string, int radix);


#ifdef __clang__
    ErrorStatus UART_printf(uint8_t *Data, ...);
    #define printf  UART_printf
#endif

#endif





/*************************END OF FILE**********************/
