/*************************************************************************
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 **************************************************************************/
#include "irqhandler.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void LVD_IRQHandler(void)
描  述: LVD中断程序
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void CCM_LVD_PLK_IRQHandler(void)
{
    if ((SCU_GetLVDFlagStatus(SCU_LVDFlag_IF) == SET) && (SCU_GetLVDITStatus() == SET))
    {
        SCU_RegUnLock();
        SCU_LVDClearIFBit();
        SCU_RegLock();

        GPIOA_ResetBit(GPIO_Pin_12);
        GPIOA_ResetBit(GPIO_Pin_11);
        GPIOB_ResetBit(GPIO_Pin_15);
        GPIOB_ResetBit(GPIO_Pin_14);
    }
}


