/*************************************************************************
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
 **************************************************************************/
#include "irqhandler.h"
#include "systick.h"

void NMI_IRQHandler(void)
{

}

void HardFault_IRQHandler(void)
{
    while (1)
    {
    }
}

void SVC_IRQHandler(void)
{

}

void PendSV_IRQHandler(void)
{

}

void SysTick_IRQHandler(void)
{
    TimingDelay_Decrement();
}

/*********************************************************
函数名: void T32N0_IRQHandler(void)
描  述: T32N0中断处理函数
输入值: 无
输出值: 无
返回值: 无
**********************************************************/
void T32N0_IRQHandler(void)
{
    if ((T32Nx_GetFlagStatus(T32N0, TIM_IF_MAT0) == SET) && (T32Nx_GetITStatus(T32N0, TIM_IT_MAT0) == SET))
        T16Nx_ClearIFPendingBit(T16N2, TIM_IF_MAT0);

    if ((T32Nx_GetFlagStatus(T32N0, TIM_IF_MAT1) == SET) && (T32Nx_GetITStatus(T32N0, TIM_IT_MAT1) == SET))
        T32Nx_ClearIFPendingBit(T32N0, TIM_IF_MAT1);
}
