/*********************************************************

*文件名:  light.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2021/11/10
*描  述:  LIGHT指示灯模块函数
*备  注:
 * Copyright (C) Shanghai Eastsoft Microelectronics Co. Ltd. All rights reserved.
 *
 * SPDX-License-Identifier: Apache-2.0
 *
 * Licensed under the Apache License, Version 2.0 (the License); you may
 * not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License
**********************************************************/
#include "light.h"
#include "string.h"
/***************************************************************
 描  述：LIGHT指示灯初始化
 输入值：无
 返回值：无
***************************************************************/
void LightInit(void)
{
    GPIO_InitStruType x;
    memset(&x, 0, sizeof(x));

    x.GPIO_Signal = GPIO_Pin_Signal_Digital;
    x.GPIO_Func = GPIO_Func_0;
    x.GPIO_Direction = GPIO_Dir_Out;
    x.GPIO_PUEN = GPIO_PUE_Input_Disable;
    x.GPIO_PDEN = GPIO_PDE_Input_Disable;
    x.GPIO_OD = GPIO_ODE_Output_Disable;
    x.GPIO_DS = GPIO_DS_Output_Normal;

    GPIO_Init(GPIOA, GPIO_Pin_12, &x);   //LD1
    GPIO_Init(GPIOA, GPIO_Pin_11, &x);   //LD2
    GPIO_Init(GPIOB, GPIO_Pin_15, &x);   //LD3
    GPIO_Init(GPIOB, GPIO_Pin_14, &x);   //LD4
}
