/*********************************************************
*Copyright (C), 2021, Shanghai Eastsoft Microelectronics Co., Ltd.
*文件名:  main.c
*作  者:  AE Team
*版  本:  V1.00
*日  期:  2022/1/28
*描  述:  RT-Thread-Nano例程，最小空间占用(仅开启semaphore和mailbox)
          O3模式下编译后占用空间情况如下
            Total RO  Size (Code + RO Data)                 4344 (   4.24kB)
            Total RW  Size (RW Data + ZI Data)              1256 (   1.23kB)
            Total ROM Size (Code + RO Data + RW Data)       4464 (   4.36kB)
*备  注:  适用于ES8H018x芯片
          本软件仅供学习和演示使用，对用户直接引用代码所带来的风险或后果不承担任何法律责任。
**********************************************************/
#include <stdio.h>
#include <rtthread.h>
#include "main.h"

/**
  * @brief  Test main function
  * @retval Status.
  */
int main()
{
    while (1)
    {
        rt_thread_mdelay(1000);
    }
}
